package org.springblade.dataextraction.mapper;

import org.apache.ibatis.annotations.Select;
import org.springblade.dataextraction.enity.FinOrderFetchTask;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Desc
 * @Author William
 * @DateTime 2022 下午4:30:42
 */
public interface FinOrderFetchTaskMapper extends BaseMapper<FinOrderFetchTask> {
	@Select("select SEQ_ORDER_FETCH.nextval from dual")
	public int nextTaskId();

	@Select("Call PD_FETCH_ORDERS(${taskId})")
	public void startTask(String taskId);

	@Select("select EXP_FILE from FIN_ORDER_FETCH_TASK where taskid=${taskId}")
	public Object getFile(int taskId);

	@Select("select maxrows from fin_maxrows_import where rownum<2")
	public int getMaxRowsImport();
}
